Ask Your Question
1

when i use rostopic pub have this problem YAMLLoadWarning:

asked 2019-11-08 03:34:04 -0600

nabihandres gravatar image

updated 2019-11-08 03:52:10 -0600

gvdhoorn gravatar image

when i use rostopic pub have this problem YAMLLoadWarning:

$ rostopic pub /simple_model/right_supportwheel_controller/command std_msgs/Float64 "data: 0.5"
/opt/ros/melodic/lib/python2.7/dist-packages/rostopic/__init__.py:1782: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
  pub_args.append(yaml.load(arg))
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-11-24 09:41:24 -0600

nabihandres gravatar image

this warning it can not consider a problem, the program works well, if we want to know the data that send are working use $ rostopic echo /topic_name in other terminal

edit flag offensive delete link more

Comments

Were you able to fix this annoying warning? I am experiencing it as well.. after installing some python libs

peterbeda gravatar image peterbeda  ( 2020-02-19 03:32:51 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-11-08 03:34:04 -0600

Seen: 289 times

Last updated: Nov 24 '19